function rni = bwavesccal(wga )
%   Calculate inverse norm for guessed complex frequency wg
%       for use with bwavesc.m   
%   Call as
%       rni = bwavesccal(wg)
%   where
%       rni = 1/(integral of p^2)
%       wg = guessed complex frequency given as an array , [wr wi];

%   K. Brink 2/26/2020

global h dx rl ncal

wg = wga(1) + 1i*wga(2);

pp = bwavescsol(wg);

sss = h.*abs(pp).^2;
rn = dx*(sum(sss) - sss(1)/2 - sss(end)/2);

rni = 1/rn;

disp(['rl, w, rni = ' num2str(rl(ncal)) ', ' num2str(wg) ',  ' num2str(rni)]) 
