function bwavescpl(x,pp, nv, nr,www,str)

%   Plot topography, pressure and other things 
%   For use with bwavesc.m
%   Call as
%       bwavescpl(x,pp,nv,nr,str)
%   where
%       x (cm)          = Model grid
%       pp              = Model pressure
%       nv              = number of v points read
%       nr              = number of r points read
%       str (string)    = Run name

%   K. Brink  3/14/2020

global h r v del ncal  rl

hmax = max(h);
xf = [0 x 0]/1e5;
yf = [-hmax -h -hmax]/100;



figure(1)
clf

iqq = 1;

%if nv == 0 
if iqq > 0.5
            
            subplot(2,1,1)
            plot(x/1e5,-h/100)
            hold on
                fill(xf,yf,0.9*[1 1 1])
            hold off
            %xlabel('x [km]')
            ylabel('z [m]')
            title(['Depth Profile for run ' str])
            
            subplot(2,1,2)
            xppp = x(1:end-1)*1e-5;
            plot(xppp,real(pp(1:end-1)),'b',xppp,imag(pp(1:end-1)),'r--',xppp,0*xppp,'k')
            title(['Pressure for l, \omega = ' num2str(rl(ncal)) ' 1/cm,  ' num2str(www) ' 1/sec,  Imaginary dashed'])
            xlabel('x [km]')
            ylabel('P [cm^{-1}]');
            
            
end




%if nv ~= 0
if iqq < 0.5;     
    subplot(3,1,1)
    plot(x*1e-5,v,'k',x*1e-5,0*x,'k')
    ylabel('v [cm/sec]')
    title('Mean alongshore velocity')
    
    
    subplot(3,1,2)
    plot(x/1e5,-h/100)
    hold on
                fill(xf,yf,0.9*[1 1 1])
    hold off
   %xlabel('x [km]')
    ylabel('z [m]')
    title('Depth Profile')
    
    subplot(3,1,3)
    plot(xppp,real(pp(1:end-1)),'b',xppp,imag(pp(1:end-1)),'r--',xppp,0*xppp,'k')
    title(['Pressure for l, \omega = ' num2str(rl(ncal)) ' 1/cm,  ' num2str(www) ' 1/sec'])
    xlabel('x [km]')
    if del > 1
        ylabel('\zeta [cm^{-1/2}');
    else
        ylabel( '\zeta [cm^{-1/2} sec^{-1/2}]')
    end
    
end